Questo sito utilizza cookies, anche di terze parti, per mostrare pubblicità e servizi in linea con il tuo account. Leggi l'informativa sui cookies.
Username: Password: oppure
C# / VB.NET - [VB.NET - DirectX] Problema versione
Forum - C# / VB.NET - [VB.NET - DirectX] Problema versione

Pagine: [ 1 2 ] Precedente | Prossimo
Avatar
Qwertj (Dev Team)
Guru


Messaggi: 678
Iscritto: 30/05/2011

Segnala al moderatore
Postato alle 10:00
Mercoledì, 20/07/2011
Salve a tutti,
Ho scaricato le SDK delle DirectX 9, installato, e referenziato nel progetto la libreria che mi serviva dal path C:\WINDOWS\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.AudioVideoPlayback.dll
Ora, se io provo a fare una qualsiasi cosa nel mio programma mi scatena un eccezione (non in una specifica riga di codice) Io.FileLoadException, lamentandosi nel seguente modo:
Testo quotato


L'assembly in modalità mista è compilato in base alla versione 'v1.1.4322' del runtime e non può essere caricato nel runtime 4.0 senza ulteriori informazioni di configurazione.


Venendo al punto, come lo faccio fungere? :pat:


Blog:
<coming soon>
Appalo:
http://www.appalo.it/
PM Quote
Avatar
Lafa_96 (Normal User)
Pro


Messaggi: 111
Iscritto: 09/03/2011

Segnala al moderatore
Postato alle 10:59
Mercoledì, 20/07/2011
ne ignoro completamente la ragione ma le sdk della versione 9 girano solo sul framework 3.5, quindi per poterle usare devi creare un nuoo preogetto e prima di importarle lo devi salvare e ricompilare alla versione 3.5 (non 3.5 client profile) purtroppo è una cosa molto scomoda, a volte me ne dimentico anche io e devo riscrivere tutto!

Ultima modifica effettuata da Lafa_96 il 20/07/2011 alle 11:00


Non hai bisogno di vedere l’intera scalinata. Inizia semplicemente a salire il primo gradino. (Martin Luther King)
PM Quote
Avatar
Thejuster (Member)
Guru^2


Messaggi: 1703
Iscritto: 04/05/2008

Segnala al moderatore
Postato alle 11:10
Mercoledì, 20/07/2011
si e un gran problema quoto.

ma qwerj come sai i tempi cambiano e gl'anni scorrono,
e le tecnologie crescono.

quindi se sei agli inizi. lascia perdere le dx9
e orientati sulle dx11

prova slimdx che sarebbe un wrapper delle directX11 in .net managed


PM Quote
Avatar
Qwertj (Dev Team)
Guru


Messaggi: 678
Iscritto: 30/05/2011

Segnala al moderatore
Postato alle 11:11
Mercoledì, 20/07/2011
Grazie per la risposta, cambierò il framework di destinazione.
Solo una cosa:
Per cambiare framewrok non c'è bisogno di rifare il progetto, basta andare in Proprietà Progetto, tab "Compilazione" e cliccare su Opzioni di compilazione. Si apre una finestra e in fondo si può selezionare la versione del framework per il quale compilare il progetto. Fatto ciò, viene chiesto di riavviare VS, fai OK e riavvia il progetto.
Potrebbe esserci un problema con un file di configurazione, che viene segnalato nell'elenco degli errori da VS, basta cliccarci due volte sopra e ti porta al file "corrotto"
Lì è necessario cambiare tutte le versioni degli assembly a mano, portandole a quelle "nuove"
(Tutto questo con VS 2010)

Proverò a passare al 3.5 e vedere che succede


Blog:
<coming soon>
Appalo:
http://www.appalo.it/
PM Quote
Avatar
Qwertj (Dev Team)
Guru


Messaggi: 678
Iscritto: 30/05/2011

Segnala al moderatore
Postato alle 11:13
Mercoledì, 20/07/2011
Ho letto solo adesso la risposta di TheJuster
Le ho cercate le DirectX 11 (secondo te ho una passione per i software superati?)
ma non le ho trovate. Se sai dove le posso trovare, fammi un fischio

Slmdx che utilità avrebbe? Le DirectX si usano tranquillamente con .NET, e poi siccome le uso per la riproduzione audio non ho bisogno di niente di avanzat0


Blog:
<coming soon>
Appalo:
http://www.appalo.it/
PM Quote
Avatar
Thejuster (Member)
Guru^2


Messaggi: 1703
Iscritto: 04/05/2008

Segnala al moderatore
Postato alle 12:52
Mercoledì, 20/07/2011
allora lascia stare il mio consiglio.

se ti serve solo per l'audio va bene le dx9

e per usare le dx11 serve un warp in net non puoi usarle come se fosse una semplice libreria dll.

sono scritte per c++ e microsoft dalle dx9 in poi non ha fornito nessun wrapper o libreria managed dx per net.

quindi se vuoi usare dx10 o 11 devi trovare un wrapper.
ce ne sono tanti sulla rete, molti usano SlimDx wrapper DirectX11 altrimenti su notjustcode trovi altri 2 wrapper sia per Dx10 che per Dx11

ma siccome non devi usarle per sviluppare giochi.
usa tranquillamente le dx9


PM Quote
Avatar
Qwertj (Dev Team)
Guru


Messaggi: 678
Iscritto: 30/05/2011

Segnala al moderatore
Postato alle 14:32
Mercoledì, 20/07/2011
Ok continuo a usare la versione 9
Ho provato a cambiare versione del framework ma uso librerie compilate per il 4.0 e diventa un gran casino ricompilarle. Non c'è un altro modo? :(


Blog:
<coming soon>
Appalo:
http://www.appalo.it/
PM Quote
Avatar
Lafa_96 (Normal User)
Pro


Messaggi: 111
Iscritto: 09/03/2011

Segnala al moderatore
Postato alle 13:25
Giovedì, 21/07/2011
qwerj, per quanto riguarda la ricompilazione io me la posso anche scordare! perchè (sarà perchè io uso vb express) quando faccio fare il debug al progetto mi manda in crash vb e se lo ricompilo dopo aver inserito i riferimenti mi crasha di nuovo! comunque se vuoi usare le dx 9 io ti consiglio di iniziare un nuovo progetto e ricompilarlo subito alla versione 3.5, poi con le atre librerie non credo ci siano problemi, dovrebbero girare tranquillamente su framework precedenti al 4! poi se hai problemi passa a XNA e tanti saluti!


Non hai bisogno di vedere l’intera scalinata. Inizia semplicemente a salire il primo gradino. (Martin Luther King)
PM Quote
Avatar
Qwertj (Dev Team)
Guru


Messaggi: 678
Iscritto: 30/05/2011

Segnala al moderatore
Postato alle 15:31
Giovedì, 21/07/2011
Le altre librerie SONO un problema perchè anche se loro non hanno problemi è tutto il resto del programma che ne ha
Inoltre non faccio giochi mi serve solo AudioVideoPlayback


Blog:
<coming soon>
Appalo:
http://www.appalo.it/
PM Quote
Pagine: [ 1 2 ] Precedente | Prossimo